/*-------------------------------------------------------------------
|                             GLOBALS.H                              |
--------------------------------------------------------------------*/
/* Load in WinMain() for later use. */
HINSTANCE  hInst;

/* Name of application -- used in caption. */
char AppName[] = "ShowWPG";

/* WPG file name chosen thru common dialog box. */
char FileName[80];

/* Buffer for main window caption: app name + file name (with path). */
char Caption[90];

/* Buffer for iconic name: no path or extension on file name. */
char IconicName[30];

/* Handles for Windows cursors to be used (all modifies + Arrow + Wait). */
HCURSOR HCursor[NUM_MODIFIES+2];

/* Handle to memory block containing WPG file. */
HANDLE hBuf;

/* Scale parameters. */
SCALE Scale;

/* Client rectangle: updated at WM_SIZE. */
RECT ClientRect;

/* Target rectangle: where image goes inside client rect. */
RECT TargetRect;

/* Size of WPG space -- init with defaults. */
SIZE WPGsp = {DEFAULT_WPG_WIDTH, DEFAULT_WPG_HEIGHT};

/* HotSpot Delta: offset of hot spot wrt top left of TargetRect. */
POINT HSDelta;

/* Conversion of WP colors to Windows colors. */
DWORD WPGtoWINColor[] =
{RGB(0,0,0),       RGB(0,0,128),   RGB(0,128,0),   RGB(0,128,128),
 RGB(128,0,0),     RGB(128,0,128), RGB(128,128,0), RGB(192,192,192),
 RGB(128,128,128), RGB(0,0,255),   RGB(0,255,0),   RGB(0,255,255),
 RGB(255,0,0),     RGB(255,0,255), RGB(255,255,0), RGB(255,255,255)};

/* Conversion of WP colors to BMP colors. */
int WPGtoBMPColor[] =
{0, 4, 2, 6, 1, 5, 3, 8, 7, 12, 10, 14, 9, 13, 11, 15};

/* WPG fill patterns, each 8-BYTE block a monochrome template. */
BYTE FillPattern[64][8] =
{{0,0,0,0,0,0,0,0}, {0,0,0,0,0,0,0,0},
 {0x66,0xCC,0x99,0x33,0x66,0xCC,0x99,0x33},
 {0x22,0x44,0x88,0x11,0x22,0x44,0x88,0x11},   /* 3 */
 {0x08,0x10,0x20,0x40,0x80,0x01,0x02,0x04},
 {0xDD,0xDD,0x77,0x77,0xDD,0xDD,0x77,0x77},
 {0xAA,0x11,0xAA,0x44,0xAA,0x11,0xAA,0x44},   /* 6 */
 {0x01,0x82,0x44,0x28,0x10,0x28,0x44,0x82},
 {0xCC,0xCC,0xCC,0xCC,0xCC,0xCC,0xCC,0xCC},
 {0x88,0x88,0x88,0x88,0x88,0x88,0x88,0x88},   /* 9 */
 {0x20,0x20,0x20,0x20,0x20,0x20,0x20,0x20},
 {0x00,0x00,0x02,0x00,0x00,0x00,0x20,0x00},
 {0x22,0x00,0x88,0x00,0x22,0x00,0x88,0x00},   /* 12 */
 {0x11,0x44,0x11,0x44,0x11,0x44,0x11,0x44},
 {0xAA,0x55,0xAA,0x55,0xAA,0x55,0xAA,0x55},
 {0x77,0xDD,0x77,0xDD,0x77,0xDD,0x77,0xDD},   /* 15 */
 {0x77,0xFF,0xDD,0xFF,0x77,0xFF,0xDD,0xFF},
 {0xFF,0xFF,0xDF,0xFF,0xFF,0xFF,0xFD,0xFF},
 {0xFF,0x00,0x00,0xFF,0xFF,0x00,0x00,0xFF},   /* 18 */
 {0xFF,0x00,0x00,0x00,0xFF,0x00,0x00,0x00},
 {0x00,0x00,0x00,0x00,0x00,0x00,0xFF,0x00},
 {0xFF,0x99,0x99,0xFF,0xFF,0x99,0x99,0xFF},   /* 21 */
 {0x88,0x88,0xFF,0x88,0x88,0x88,0xFF,0x88},
 {0x08,0x08,0x08,0x08,0x08,0xFF,0x08,0x08},
 {0xCC,0x66,0x33,0x99,0xCC,0x66,0x33,0x99},   /* 24 */
 {0x44,0x22,0x11,0x88,0x44,0x22,0x11,0x88}};
